Package org.opensaml.xmlsec.signature.impl

# Class X509CertificateImpl.CleanerState

java.lang.Object
org.opensaml.xmlsec.signature.impl.X509CertificateImpl.CleanerState

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  X509CertificateImpl

static class X509CertificateImpl.CleanerState extends Object implements Runnable
The action to be taken when the current state must be cleaned.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`index`
The index to remove from the store.

## Constructor Summary

Constructors
Constructor
Description
`CleanerState(String idx)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### index

@Nonnull private final String index
The index to remove from the store.

## Constructor Details

### CleanerState

public CleanerState(@Nonnull String idx)
Constructor.

Parameters:
  `idx` - the index in the `X509CertificateImpl.B64_CERT_STORE`.

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`